当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 13 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : [分享]64位解决firefox的flash问题
帖子发表于 : 2008-08-08 12:48 

注册: 2007-07-16 13:41
帖子: 32
送出感谢: 0 次
接收感谢: 0 次
昨天重装了ubuntu,从7.10后来升级到8.04,这次距离上次重装有8个月了
说明ubuntu越来越稳定了:o
8.04寄过来的32位cd竟然有问题,装到一半的时候提示某文件不能复制,
还说是光驱有问题或cd有缺陷云云
天啊,这不是盗版xp盘才出现的问题么,
于是又拿64位的盘装,倒是装上了,还好申请了32位的和64位的
才发现64位的flash问题挺麻烦的,
无奈本人又喜欢上myspace,一个页面有多个提示安装插件也挺烦的
研究了一上午,终于解决了
引用:
1.第一步,当然是下载32位的flashplayer了

代码:
wget http://ubuntu:ubuntuftp@ftp.ubuntu.org.cn/home/dbzhang800/wiki/install_flash_player_9_linux.tar.gz

ubuntu的ftp还是比较快的 :D
下载后把解压出来的libflashplayer.so复制到/usr/lib/mozilla/plugins下
代码:
tar -zxvf install_flash_player_9_linux.tar.gz
cd install_flash_player_9_linux
sudo cp libflashplayer.so /usr/lib/mozilla/plugins/

引用:
2.安装nspluginwrapper

代码:
sudo apt-get install nspluginwrapper lib32nss-mdns

引用:
3.生成npwrapper.libflashplayer.so

代码:
 nspluginwrapper -i /usr/lib/mozilla/plugins/libflashplayer.so

这时会在你的~/.mozilla/plugins目录下生成npwrapper.libflashplayer.so
可以用
代码:
nspluginwrapper -l
命令查看
到这一步,个人感觉应该是可以了,不行的话就再把npwrapper.libflashplayer.so复制到
/usr/lib/nspluginwrapper/plugins下
代码:
sudo cp ~/.mozilla/plugins/npwrapper.libflashplayer.so /usr/lib/nspluginwrapper/plugins/

再建立两个链接
代码:
sudo ln -sf /usr/lib/nspluginwrapper/plugins/npwrapper.libflashplayer.so /usr/lib/firefox-addons/plugins/
sudo ln -sf /usr/lib/nspluginwrapper/plugins/npwrapper.libflashplayer.so /usr/lib/firefox-3.0.1/plugins/

应该就可以了

引用:
如果没有声音的话,是缺少libflashsupport包

引用:
Support library for sound output of Flash 9 with pulseaudio

代码:
sudo apt-get install libflashsupport

引用:
乱码问题解决办法

代码:
sudo rm /etc/fonts/conf.d/49-sansserif.conf
[/code]


最后由 jqkace 编辑于 2008-08-08 13:05,总共编辑了 2 次

页首
 用户资料  
 
2 楼 
 文章标题 :
帖子发表于 : 2008-08-08 13:02 

注册: 2007-05-06 10:12
帖子: 1994
送出感谢: 0 次
接收感谢: 0 次
sudo apt-get install flashplugin-nonfree

这一个命令就搞定安装了的....

yun :shock:


页首
 用户资料  
 
3 楼 
 文章标题 :
帖子发表于 : 2008-08-08 13:08 

注册: 2007-07-16 13:41
帖子: 32
送出感谢: 0 次
接收感谢: 0 次
xeoc 写道:
sudo apt-get install flashplugin-nonfree

这一个命令就搞定安装了的....

yun :shock:


偶们可怜巴巴的教育网。。
再说,sudo apt-get install flashplugin-nonfree
能装64位的吗?
如果可以的话,何必费那么多周折,
大哥,你不是64位的吧


页首
 用户资料  
 
4 楼 
 文章标题 :
帖子发表于 : 2008-08-08 13:11 
头像

注册: 2006-07-02 11:16
帖子: 12522
地址: 廣州
送出感谢: 0 次
接收感谢: 8
jqkace 写道:
xeoc 写道:
sudo apt-get install flashplugin-nonfree

这一个命令就搞定安装了的....

yun :shock:


偶们可怜巴巴的教育网。。
再说,sudo apt-get install flashplugin-nonfree
能装64位的吗?
如果可以的话,何必费那么多周折,
大哥,你不是64位的吧


可以装64位你就把apt吃掉。。。

教育网嘛。。 挂代理


_________________
^_^ ~~~
要理解递归,首先要理解递归。

地球人都知道,理论上,理论跟实际是没有差别的,但实际上,理论跟实际的差别是相当大滴。


页首
 用户资料  
 
5 楼 
 文章标题 :
帖子发表于 : 2008-08-08 13:42 

注册: 2007-05-06 10:12
帖子: 1994
送出感谢: 0 次
接收感谢: 0 次
jqkace 写道:
xeoc 写道:
sudo apt-get install flashplugin-nonfree

这一个命令就搞定安装了的....

yun :shock:


偶们可怜巴巴的教育网。。
再说,sudo apt-get install flashplugin-nonfree
能装64位的吗?
如果可以的话,何必费那么多周折,
大哥,你不是64位的吧


我就是64位啊.....我也是教育网....现在暑假速度没问题的,以前这种情况都是趁夜深人静......

PS:其实这样装不是纯种的64位,和你的方法一样的,也没有纯种的64位....


页首
 用户资料  
 
6 楼 
 文章标题 :
帖子发表于 : 2008-08-08 14:25 
头像

注册: 2005-08-01 9:14
帖子: 3666
送出感谢: 0 次
接收感谢: 0 次
jqkace 写道:
xeoc 写道:
sudo apt-get install flashplugin-nonfree

这一个命令就搞定安装了的....

yun :shock:


偶们可怜巴巴的教育网。。
再说,sudo apt-get install flashplugin-nonfree
能装64位的吗?
如果可以的话,何必费那么多周折,
大哥,你不是64位的吧


64位都是这样装的,谁叫你去搞那么多周折 :lol:


_________________
Gedanken ohne Inhalt sind leer .Anschauungen ohne Begriffe sind blind.


页首
 用户资料  
 
7 楼 
 文章标题 :
帖子发表于 : 2008-08-08 20:48 

注册: 2007-07-16 13:41
帖子: 32
送出感谢: 0 次
接收感谢: 0 次
hethe 写道:
jqkace 写道:
xeoc 写道:
sudo apt-get install flashplugin-nonfree

这一个命令就搞定安装了的....

yun :shock:


偶们可怜巴巴的教育网。。
再说,sudo apt-get install flashplugin-nonfree
能装64位的吗?
如果可以的话,何必费那么多周折,
大哥,你不是64位的吧


64位都是这样装的,谁叫你去搞那么多周折 :lol:


那我岂不是要把apt吃掉


页首
 用户资料  
 
8 楼 
 文章标题 :
帖子发表于 : 2008-08-09 7:54 
头像

注册: 2006-10-18 12:57
帖子: 417
送出感谢: 0 次
接收感谢: 1
楼主的方法完全OK,我也差不多这样子搞的

2楼好像想的太简单了,不信?
重装试试吧,保证你看不了flash


_________________
http://twitter.com/nothining
Mail: bjdfzster@gmail.com
南京的开源活动几乎是0,希望能有人组织下(也可以拉我入伙^_^)
最近在从零开始学习Linux程序设计,加油……


页首
 用户资料  
 
9 楼 
 文章标题 :
帖子发表于 : 2008-08-09 10:14 
头像

注册: 2008-01-23 14:02
帖子: 884
地址: 吉林大学
送出感谢: 0 次
接收感谢: 0 次
Stupid kid 写道:
楼主的方法完全OK,我也差不多这样子搞的

2楼好像想的太简单了,不信?
重装试试吧,保证你看不了flash




2楼的方法可行。

如果不能上外网,可以先下载install_flash_player_9_linux.tar.gz,用sudo cp移到/var/cache/flashplugin-nonfree文件夹内,然后使用2楼的命令就可以了。
原理是 2楼的命令是从源中下载软件包的同时还要到国外网站下载install_flash_player_9_linux.tar.gz,我们先把那个文件下载下来,那就不用到国外网站下载了……


我用的是ubuntu8.04amd64


_________________
立柱博客:书写生活,记录时间-哲学|互联网|文艺|英语


页首
 用户资料  
 
10 楼 
 文章标题 : Re:
帖子发表于 : 2008-11-03 15:41 

注册: 2008-02-21 15:20
帖子: 115
送出感谢: 0 次
接收感谢: 0 次
xeoc 写道:
sudo apt-get install flashplugin-nonfree

这一个命令就搞定安装了的....

yun :shock:


出现冲突怎么解决?? :em06
nonfree_10.0.1.218+10.0.0.525ubuntu1~hardy1+really9.0.124.0ubuntu2_amd64.deb (--unpack)时出错:
软件包相互冲突 - 将不安装 flashplugin-nonfree


页首
 用户资料  
 
11 楼 
 文章标题 : Re: [分享]64位解决firefox的flash问题
帖子发表于 : 2008-11-06 15:21 
头像

注册: 2007-10-24 20:20
帖子: 1565
地址: 北京、海淀
送出感谢: 0 次
接收感谢: 1
Firefox提示的时候,直接按照Firefox的提示就安装好了。
也没有碰到什么问题。


页首
 用户资料  
 
12 楼 
 文章标题 : Re: [分享]64位解决firefox的flash问题
帖子发表于 : 2008-11-11 8:54 
头像

注册: 2007-10-19 8:24
帖子: 32
送出感谢: 0 次
接收感谢: 0 次
nspluginwrapper -i /usr/lib/mozilla/plugins/libflashplayer.so

执行此命令后,出现如下:
nspluginwrapper: /usr/lib/mozilla/plugins/libflashplayer.so is not a valid NPAPI plugin

敬请楼主帮忙!


页首
 用户资料  
 
13 楼 
 文章标题 : Re: [分享]64位解决firefox的flash问题
帖子发表于 : 2008-11-12 13:16 

注册: 2007-07-16 13:41
帖子: 32
送出感谢: 0 次
接收感谢: 0 次
ccwhng 写道:
nspluginwrapper -i /usr/lib/mozilla/plugins/libflashplayer.so

执行此命令后,出现如下:
nspluginwrapper: /usr/lib/mozilla/plugins/libflashplayer.so is not a valid NPAPI plugin

敬请楼主帮忙!



64位直接sudo apt-get install flashplugin-nonfree
帮你完成上述所有步骤,前提是你要能连外网


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 13 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 1 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译